from rest_framework import permissions

from intranet.femida.src.problems.helpers import has_access_to_problems


class ProblemPermission(permissions.BasePermission):

    def has_permission(self, request, view):
        return has_access_to_problems(request.user)
